﻿Type=Activity
Version=2.71
@EndOfDesignText@
#Region Module Attributes
	#FullScreen: False
	#IncludeTitle: True
#End Region

'Activity module
Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim GetFile As HttpJob
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim mp As MediaPlayerStream
	Dim MusicTitle As Label
	Dim su As StringUtils
	
	Dim cnv As Canvas
	Dim stpanel As Panel
	Dim rec As Rect
	Dim st As Int
	st=150
	Dim starx(st) As Int  'xpos
	Dim stary(st) As Int  'ypos
	Dim starspeed(st) As Int 'stars
	Dim nbstar(st) As Int    'numstars
	Dim time As Timer
	Dim clr As Int
End Sub

Sub Activity_Create(FirstTime As Boolean)
	
	InitLayout
	
	'Play stream
	Dim URL As String
	URL=Main.BaseURL & Main.VideoToStream
	URL=URL.Replace(" ", "%20")
	Log("Fetching : " & URL)
	
	ProgressDialogShow2("Streaming file...", False)
	
	time.Initialize("time",1)
	time.Enabled=True
	
	mp.Load(URL)
	
End Sub

Sub time_Tick
    DrawStars
  
End Sub

Sub InitLayout
	mp.Initialize("mp")
	
	'Panel for the stars
	stpanel.Initialize("")
	Activity.AddView(stpanel,1%x, 1%y, 98%x, 98%y)
	cnv.Initialize(stpanel)
	rec.Initialize(0,0,99%x,99%y)
	
	'Label for title
	MusicTitle.Initialize("lbl")
	MusicTitle.Text="Currently playing: " & CRLF & CRLF & Main.VideoToStream
	MusicTitle.TextColor=Colors.Yellow
	MusicTitle.Color=Colors.Black
	MusicTitle.BringToFront
	MusicTitle.Gravity=Gravity.CENTER
	Activity.AddView(MusicTitle,5%x, 10%y, 90%x, 20%y)
	
	' For starfield tables
	For i=0 To nbstar.Length-1  
		starx(i)=Rnd(1,99%x)           	'store xpos in table  100 xpos
		stary(i)=Rnd(1,99%y)           	'store ypos   ..100 ypos
		starspeed(i)=Rnd(1,9)			'store starspeed  .. 100 speed
	Next
	
	
End Sub

Sub lbl_Click
	TimeToExit
End Sub


Sub mp_StreamReady
	ProgressDialogHide
    Log("starts playing")
    mp.Play
End Sub

Sub mp_StreamError (ErrorCode As String, ExtraData As Int)
    Log("Error: " & ErrorCode & ", " & ExtraData)
    ToastMessageShow("Error: " & ErrorCode & ", " & ExtraData, True)
	mp.Release
	Activity.Finish
End Sub

Sub mp_StreamBuffer(Percentage As Int)
	If Percentage<90 Then
			Activity.Title="Streaming Media : buffer-percent " & Percentage  & "%"
		Else
			Activity.Title="Streaming Media"
		End If
'    Log(Percentage)
End Sub 

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub TimeToExit
	mp.Release
	time.Enabled=False
	Activity.Finish

End Sub

'Trap the back button
Sub Activity_KeyPress (KeyCode As Int) As Boolean                            
    If KeyCode = KeyCodes.KEYCODE_BACK Then
'		ToastMessageShow ("Please use Menu to exit.", True)
		mp.Release
		time.Enabled=False
		Activity.Finish
		Return True  'Destroy event
	Else
		Return False
    End If 
End Sub

Sub DrawStars
  ' nothing HARD here :) just clear stars ypos -starspeed(i) from table...
    cnv.DrawRect(rec,Colors.Black,True,5dip)
    
	 For i=0 To nbstar.Length-1
	 If starspeed(i)=1 Then clr=Colors.RGB(100,100,100)
	 If starspeed(i)=2 Then clr=Colors.RGB(120,120,120)
	 If starspeed(i)=3 Then clr=Colors.RGB(140,140,140)
	 If starspeed(i)=4 Then clr=Colors.RGB(160,160,160)
	 If starspeed(i)=5 Then clr=Colors.RGB(180,180,180)
     If starspeed(i)=6 Then clr=Colors.RGB(200,200,200)
	 If starspeed(i)=7 Then clr=Colors.RGB(220,220,220)
	 If starspeed(i)=8 Then clr=Colors.RGB(255,255,255)
	  
  '   cnv.DrawCircle(starx(i),stary(i)-starspeed(i),2,Colors.black,True,2dip)
     cnv.DrawCircle(starx(i),stary(i),2,clr,True,2dip)
	 stary(i)=stary(i)+starspeed(i)
	 
	 If stary(i)>860 Then stary(i)=-10
	  ' stpanel.Invalidate
 	Next
     stpanel.Invalidate  ' invalidate oanel after drawing bars and stars
	
	
  End Sub
